using FluentValidation;
using Hotline.Share.Dtos.Knowledge;

namespace Hotline.Validators.Knowledge
{
    public class AddKnowledgeApplyDtoValidator : AbstractValidator<KnowledgeApplyDto>
    {
        /// <summary>
        /// 
        /// </summary>
        public AddKnowledgeApplyDtoValidator()
        {
            RuleFor(d => d.Content).NotEmpty();
            RuleFor(d => d.DepartmentId).NotEmpty();
            RuleFor(d => d.Department).NotEmpty();
        }
    }
}
